Package org.codehaus.janino.util

# Interface ClassFile.ConstantElementValue.Visitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object that the "`visit*()`" methods return
  `EX` - The type of the exception that the "`visit*()`" methods may throw

All Known Subinterfaces:
  `ClassFile.ElementValue.Visitor<R,EX>`

Enclosing class:
  `ClassFile.ConstantElementValue`

public static interface ClassFile.ConstantElementValue.Visitor<R,EX extends Throwable>
The visitor interface for the implementation of the "visitor" pattern.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitBooleanElementValue(ClassFile.BooleanElementValue subject)`
`R`
`visitByteElementValue(ClassFile.ByteElementValue subject)`
`R`
`visitCharElementValue(ClassFile.CharElementValue subject)`
`R`
`visitClassElementValue(ClassFile.ClassElementValue subject)`
`R`
`visitDoubleElementValue(ClassFile.DoubleElementValue subject)`
`R`
`visitFloatElementValue(ClassFile.FloatElementValue subject)`
`R`
`visitIntElementValue(ClassFile.IntElementValue subject)`
`R`
`visitLongElementValue(ClassFile.LongElementValue subject)`
`R`
`visitShortElementValue(ClassFile.ShortElementValue subject)`
`R`
`visitStringElementValue(ClassFile.StringElementValue subject)`

## Method Details

### visitBooleanElementValue

R visitBooleanElementValue(ClassFile.BooleanElementValue subject) throws EX

Throws:
  `EX`

### visitByteElementValue

R visitByteElementValue(ClassFile.ByteElementValue subject) throws EX

Throws:
  `EX`

### visitCharElementValue

R visitCharElementValue(ClassFile.CharElementValue subject) throws EX

Throws:
  `EX`

### visitClassElementValue

R visitClassElementValue(ClassFile.ClassElementValue subject) throws EX

Throws:
  `EX`

### visitDoubleElementValue

R visitDoubleElementValue(ClassFile.DoubleElementValue subject) throws EX

Throws:
  `EX`

### visitFloatElementValue

R visitFloatElementValue(ClassFile.FloatElementValue subject) throws EX

Throws:
  `EX`

### visitIntElementValue

R visitIntElementValue(ClassFile.IntElementValue subject) throws EX

Throws:
  `EX`

### visitLongElementValue

R visitLongElementValue(ClassFile.LongElementValue subject) throws EX

Throws:
  `EX`

### visitShortElementValue

R visitShortElementValue(ClassFile.ShortElementValue subject) throws EX

Throws:
  `EX`

### visitStringElementValue

R visitStringElementValue(ClassFile.StringElementValue subject) throws EX

Throws:
  `EX`